<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: Mapper Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="class_mapper-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Mapper Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_mapper_8h_source.html">Mapper.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Mapper:</div>
<div class="dyncontent">
<div class="center"><img src="class_mapper__inherit__graph.png" border="0" usemap="#_mapper_inherit__map" alt="Inheritance graph"/></div>
<!-- MAP 0 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Mapper:</div>
<div class="dyncontent">
<div class="center"><img src="class_mapper__coll__graph.png" border="0" usemap="#_mapper_coll__map" alt="Collaboration graph"/></div>
<!-- MAP 1 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a15fd8e5e4f913d24bb3a2c1371d6426c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a15fd8e5e4f913d24bb3a2c1371d6426c">Mapper</a> ()</td></tr>
<tr class="separator:a15fd8e5e4f913d24bb3a2c1371d6426c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af926e742d889da4b514c2c860ac75837"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#af926e742d889da4b514c2c860ac75837">Mapper</a> (const <a class="el" href="class_genotype.html">Genotype</a> &amp;)</td></tr>
<tr class="separator:af926e742d889da4b514c2c860ac75837"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54a01dad7989624701227b4cb01561b6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a54a01dad7989624701227b4cb01561b6">Mapper</a> (const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;)</td></tr>
<tr class="separator:a54a01dad7989624701227b4cb01561b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79a375c7f925bc8db2b6a0a0acb04cf9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a79a375c7f925bc8db2b6a0a0acb04cf9">Mapper</a> (const <a class="el" href="class_mapper.html">Mapper</a> &amp;)</td></tr>
<tr class="separator:a79a375c7f925bc8db2b6a0a0acb04cf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24b42bce1e3052a0009181ed283d1070"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a24b42bce1e3052a0009181ed283d1070">~Mapper</a> ()</td></tr>
<tr class="separator:a24b42bce1e3052a0009181ed283d1070"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2affa751192b301f462b002e9a0b2fb4"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_genotype.html">Genotype</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a2affa751192b301f462b002e9a0b2fb4">getGenotype</a> () const</td></tr>
<tr class="separator:a2affa751192b301f462b002e9a0b2fb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96e07e87fa2f1f8174c0cc3baa22b965"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a96e07e87fa2f1f8174c0cc3baa22b965">setGenotype</a> (const <a class="el" href="class_genotype.html">Genotype</a> &amp;)</td></tr>
<tr class="separator:a96e07e87fa2f1f8174c0cc3baa22b965"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbb17f62e20ff64521c5419c31052c3f"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_phenotype.html">Phenotype</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#adbb17f62e20ff64521c5419c31052c3f">getPhenotype</a> () const</td></tr>
<tr class="separator:adbb17f62e20ff64521c5419c31052c3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32106eccb705a63719fafbe293f27f70"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a32106eccb705a63719fafbe293f27f70">setPhenotype</a> (const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;)</td></tr>
<tr class="separator:a32106eccb705a63719fafbe293f27f70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2620cb58f70ec87748439dfc1a8acf7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#ab2620cb58f70ec87748439dfc1a8acf7">setGenotypeMaxCodonValue</a> (const <a class="el" href="_genotype_8h.html#a9950f670ceea0545d1d0a5cf8858ac71">CodonType</a>)</td></tr>
<tr class="separator:ab2620cb58f70ec87748439dfc1a8acf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a19f7e1f27376099e571e0923305257f1"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a19f7e1f27376099e571e0923305257f1">genotype2Phenotype</a> ()=0</td></tr>
<tr class="separator:a19f7e1f27376099e571e0923305257f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3409ce9a6b9bb741ee2c04a107ddeac7"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a3409ce9a6b9bb741ee2c04a107ddeac7">phenotype2Genotype</a> ()=0</td></tr>
<tr class="separator:a3409ce9a6b9bb741ee2c04a107ddeac7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a058104ce77afefce7ff10cf98baea52b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_genotype.html">Genotype</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a058104ce77afefce7ff10cf98baea52b">genotype</a></td></tr>
<tr class="separator:a058104ce77afefce7ff10cf98baea52b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc4c81ef77cc70cda9a1881637bf3bd1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_phenotype.html">Phenotype</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#adc4c81ef77cc70cda9a1881637bf3bd1">phenotype</a></td></tr>
<tr class="separator:adc4c81ef77cc70cda9a1881637bf3bd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a15fd8e5e4f913d24bb3a2c1371d6426c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15fd8e5e4f913d24bb3a2c1371d6426c">&#9670;&nbsp;</a></span>Mapper() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapper::Mapper </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af926e742d889da4b514c2c860ac75837"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af926e742d889da4b514c2c860ac75837">&#9670;&nbsp;</a></span>Mapper() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapper::Mapper </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_genotype.html">Genotype</a> &amp;&#160;</td>
          <td class="paramname"><em>newGenotype</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a54a01dad7989624701227b4cb01561b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54a01dad7989624701227b4cb01561b6">&#9670;&nbsp;</a></span>Mapper() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapper::Mapper </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;&#160;</td>
          <td class="paramname"><em>newPhenotype</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a79a375c7f925bc8db2b6a0a0acb04cf9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79a375c7f925bc8db2b6a0a0acb04cf9">&#9670;&nbsp;</a></span>Mapper() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Mapper::Mapper </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_mapper.html">Mapper</a> &amp;&#160;</td>
          <td class="paramname"><em>copy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a24b42bce1e3052a0009181ed283d1070"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24b42bce1e3052a0009181ed283d1070">&#9670;&nbsp;</a></span>~Mapper()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Mapper::~Mapper </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a19f7e1f27376099e571e0923305257f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19f7e1f27376099e571e0923305257f1">&#9670;&nbsp;</a></span>genotype2Phenotype()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Mapper::genotype2Phenotype </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="class_c_f_grammar.html#ade45a672bd2c0c4e0903197750758335">CFGrammar</a>, <a class="el" href="class_grammar.html#a5dafdfb67c2d6613225eb7dc4367089a">Grammar</a>, and <a class="el" href="class_g_e_grammar.html#a01e85bdaba8f787d52b7dc1c8fce04ab">GEGrammar</a>.</p>

</div>
</div>
<a id="a2affa751192b301f462b002e9a0b2fb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2affa751192b301f462b002e9a0b2fb4">&#9670;&nbsp;</a></span>getGenotype()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_genotype.html">Genotype</a> const  * Mapper::getGenotype </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adbb17f62e20ff64521c5419c31052c3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbb17f62e20ff64521c5419c31052c3f">&#9670;&nbsp;</a></span>getPhenotype()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_phenotype.html">Phenotype</a> const  * Mapper::getPhenotype </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3409ce9a6b9bb741ee2c04a107ddeac7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3409ce9a6b9bb741ee2c04a107ddeac7">&#9670;&nbsp;</a></span>phenotype2Genotype()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Mapper::phenotype2Genotype </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="class_c_f_grammar.html#acfb91f3a968e98ff19a914c5d482a673">CFGrammar</a>, <a class="el" href="class_grammar.html#a8eb1b792d7a9cc48909b4c10666f50b8">Grammar</a>, and <a class="el" href="class_g_e_grammar.html#a7f6e7a5675dc684389e72d208789153d">GEGrammar</a>.</p>

</div>
</div>
<a id="a96e07e87fa2f1f8174c0cc3baa22b965"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96e07e87fa2f1f8174c0cc3baa22b965">&#9670;&nbsp;</a></span>setGenotype()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Mapper::setGenotype </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_genotype.html">Genotype</a> &amp;&#160;</td>
          <td class="paramname"><em>newGenotype</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab2620cb58f70ec87748439dfc1a8acf7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2620cb58f70ec87748439dfc1a8acf7">&#9670;&nbsp;</a></span>setGenotypeMaxCodonValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Mapper::setGenotypeMaxCodonValue </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="_genotype_8h.html#a9950f670ceea0545d1d0a5cf8858ac71">CodonType</a>&#160;</td>
          <td class="paramname"><em>newMaxCodonValue</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a32106eccb705a63719fafbe293f27f70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32106eccb705a63719fafbe293f27f70">&#9670;&nbsp;</a></span>setPhenotype()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Mapper::setPhenotype </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;&#160;</td>
          <td class="paramname"><em>newPhenotype</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a058104ce77afefce7ff10cf98baea52b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a058104ce77afefce7ff10cf98baea52b">&#9670;&nbsp;</a></span>genotype</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_genotype.html">Genotype</a> Mapper::genotype</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adc4c81ef77cc70cda9a1881637bf3bd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc4c81ef77cc70cda9a1881637bf3bd1">&#9670;&nbsp;</a></span>phenotype</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_phenotype.html">Phenotype</a> Mapper::phenotype</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="_mapper_8h_source.html">Mapper.h</a></li>
<li>src/<a class="el" href="_mapper_8cpp.html">Mapper.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
